Grant Privilege To Role (V2)
This operation grants a privilege to a role at the global, database, or collection level.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
The name of the role.
The privilege to grant or revoke.
The name of the database to which the privilege applies. Use * for all databases.
The name of the collection to which the privilege applies. Use * for all collections.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/roles/grant_privilege_v2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"roleName": "my_role",
"privilege": "Insert",
"dbName": "my_database",
"collectionName": "my_collection"
}'
None
A generic response envelope used by operations that return no substantial payload.
Response code.
Payload object of the response envelope. It holds the result content of the operation.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {}
}